apiVersion: v1
kind: Service
metadata:
  name: ingress-router
  labels:
    app: ingress-router
spec:
  type: LoadBalancer
  selector:
    app: ingress-router
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ingress-router
  labels:
    app: ingress-router
spec:
  replicas: 3
  selector:
    matchLabels:
      app: ingress-router
      tier: backend
  template:
    metadata:
      labels:
        app: ingress-router
        tier: backend
    spec:
      containers:
      - name: ingress-router
        image: crisapt1/project_finish_nginx:v1
        ports:
        - name: http
          containerPort: 80
          protocol: TCP
